STOREBACKUPRECOVER(1)

NAME
storeBackupRecover.pl - recovers files saved with storeBackup.pl.

SYNOPSIS
        storeBackupRecover.pl -r restore [-b root] -t targetDir [--flat]
                [-o] [--tmpdir] [--noHardLinks] [-p number] [-v] [-n]
                [--cpIsGnu] [--noGnuCp] [-s]

OPTIONS

--restoreTree, -r
        file or (part of) the tree to restore
        when restoring a file, the file name in the backup has
        to be used (eg. with compression suffix)

--backupRoot, -b
        root of storeBackup tree, normally not needed

--targetDir, -t
        directory for unpacking

--flat
        do not create subdirectories

--overwrite, -o
        overwrite existing files

--tmpdir, -T
        directory for temporary file, default is <$tmpdir>

--noHardLinks
        do not reconstruct hard links in restore tree

--noRestoreParallel, -p
        max no of paralell programs to unpack, default is 12
        reduce this number if you are restoring blocked files
        and the system has insufficient RAM

--verbose, -v
        print verbose messages

--noRestored, -n
        print number of restored dirs, hardlinks, symlinks, files, ...

--noGnuCp
        overwrite information in backup: you do not have gnucp
        installed
        (only relevant for sockets, block and character devices)

--createSparseFiles, -s
        creates sparse file from blocked files if full blockes
        are filled with zeros

COPYRIGHT
Copyright (c) 2002-2014 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version